<!DOCTYPE html>
<html lang="ja">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>ユーザ新規登録画面</title>
  <!-- BootstrapのCSS読み込み -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <!-- オリジナルCSS読み込み -->
  <link href="css/common.css" rel="stylesheet">

</head>

<body>

  <!-- header -->
  <header>
    <nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

      <ul class="navbar-nav flex-row">
        <!-- ログインユーザの名前を表示の部分を${user.name } に変更-->
        <li class="nav-item"><span class="navbar-text">ログインユーザーさん</span>
        </li>
        <!-- userLogin.htmlからLogoutServlet.javaに変更 -->
       
      </ul>
    </nav>
  </header>
  <!-- /header -->

  <!-- body -->
  <div class="container-fluid">
    <div class="col-10 offset-1">
      <div class="row mb-3">
        <div class="col">
          <h1 class="text-center">ユーザ新規登録画面</h1>
        </div>
      </div>
      <!-- if文でリダイレクトしたらアラートするようにする ？-->
      <c:if test="${errMsg!=null}">
        <div class="row">
          <div class="col-6 offset-3 mb-5">
            <div class="alert alert-danger" role="alert"></div>
          </div>
        </div>
      </c:if>
      <form action="UserAddServlet" method="post">
        <div class="row">

          <div class="col-6 offset-3">

            <div class="form-group row">
              <label for="user-id" class="control-label col-3">ログインID</label>
              <div class="col-9">
                <input type="text" name="loginId" id="user-loginid" class="form-control" value="">
              </div>
            </div>
            <div class="form-group row">
              <label for="password" class="control-label col-3">パスワード</label>
              <div class="col-9">
                <input type="password" name="password" id="password" class="form-control">
              </div>
            </div>
            <div class="form-group row">
              <label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
              <div class="col-9">
                <input type="password" name="password-confirm" id="password-confirm" class="form-control">
              </div>
            </div>
            <div class="form-group row">
              <label for="user-name" class="control-label col-3">ユーザ名</label>
              <div class="col-9">
                <input type="text" name="name" id="user-name" class="form-control" value="">
              </div>
            </div>
            <div class="form-group row">
              <label for="continent" class="control-label col-3">生年月日</label>

              <div class="col-9">
                <input type="date" name="" id="birth-day" class="form-control" size="30" value="">
              </div>
            </div>
            <div class="form-group row">
              <label for="continent" class="control-label col-3">性別</label>

              <div class="col-9">
                <input type="radio" name="gender" value="male" class="gender">男性
                <input type="radio" name="gender" value="female" class="gender offset-3" >女性
                <input type="radio" name="gender" value="non-response" class="gender offset-3">無回答
              </div>
            </div>
            <div>
              <button type="submit" value="登録" class="btn btn-primary btn-block form-submit">登録</button>
            </div>
          </div>

        </div>
      </form>
      <div class="row mt-3">
        <div class="col-10 offset-3">
          <a href="UserListServlet">戻る</a>
        </div>
      </div>
    </div>
  </div>
</body>

</html>